package com.yihu.jw.entity.hospital.healthCare;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.hospital.prescription.WlyyOutpatientDO;
import org.w3c.dom.stylesheets.LinkStyle;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;

/**
 * Created by wangzhinan on 20211003
 */
@Entity
@Table(name = "base_ylz_medical_relation")
public class YlzMedicalRelationDO extends UuidIdentityEntity {

    private String insuranceSerial;//医保收费流水号,
    private String billSerial;//医保收费流水号,
    private String hisBillSerial;//his收费流水号',
    private String medicalMode;//医疗就诊方式,
    private String medicalType;//医疗类别,
    private String cardNo;//社会保障卡号
    private String personalCode;//个人管理码,
    private String name;//姓名,
    private String sex;//状态0成功，其他失败',
    private String sexMc;//性别
    private String totalAmount;//医疗费总金额
    private String personCash;//个人现金支付金额（实付现金）
    private String personAccount;//个人账户支付金额
    private String fundPrice;//基金支付总额
    private String jkzhPay;//健康帐户支付
    private String ownPay;//个人自费（非医保费用）
    private String accountBalance;//个人账户余额
    private String hospitalizationQty;//本年度住院次数
    private Date date;//实际就诊日期
    private Date payDate;//费用发生日期（结算日期）
    private String relationCode;//关联code
    private Integer del;//
    private String invoiceJj;//发票打印基金应支付
    private String invoiceXj;//发票打印现金应支付
    private String invoiceZh;//发票打印账户应支付
    private String logNo;//系统跟踪号
    private String orgCode;//医院编码
    private String regionCode;//参保地区划代码
    private String idcard;//证件号码
    private String certType;//证件类型
    private String hisSerial;//his流水号
    private String hisSettleNo;//his結算流水号
    private String deptCode;//标准科室编码
    private String deptName;//标准科室名称
    private String hisDeptCode;//his内部科室编码
    private String hisDeptName;//his内部科室名称
    private String emergencySign;//急诊标志
    private String traumaSign;//外伤标志
    private String itemCount;//明细项目数量
    private String preCharges;//预扣费金额
    private String dataSource;//数据来源
    private String preCount;//处方项目数
    private String doctorLevel;//医师诊察费等级
    private Date createTime;//创建时间',
    private String detailSerial;//医保明细流水号
    private Integer status;//结算状态

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    private List<YlzMedicalIcdDO> ylzMedicalIcdDOList;

    private List<YlzMedicalMxDO> ylzMedicalMxDOList;

    private List<YlzMedicalBillDO> ylzMedicalBillDOList;

    private WlyyOutpatientDO wlyyOutpatientDO;

    @Transient
    public WlyyOutpatientDO getWlyyOutpatientDO() {
        return wlyyOutpatientDO;
    }

    public void setWlyyOutpatientDO(WlyyOutpatientDO wlyyOutpatientDO) {
        this.wlyyOutpatientDO = wlyyOutpatientDO;
    }

    @Transient
    public List<YlzMedicalIcdDO> getYlzMedicalIcdDOList() {
        return ylzMedicalIcdDOList;
    }

    public void setYlzMedicalIcdDOList(List<YlzMedicalIcdDO> ylzMedicalIcdDOList) {
        this.ylzMedicalIcdDOList = ylzMedicalIcdDOList;
    }

    @Transient
    public List<YlzMedicalMxDO> getYlzMedicalMxDOList() {
        return ylzMedicalMxDOList;
    }

    public void setYlzMedicalMxDOList(List<YlzMedicalMxDO> ylzMedicalMxDOList) {
        this.ylzMedicalMxDOList = ylzMedicalMxDOList;
    }

    @Transient
    public List<YlzMedicalBillDO> getYlzMedicalBillDOList() {
        return ylzMedicalBillDOList;
    }

    public void setYlzMedicalBillDOList(List<YlzMedicalBillDO> ylzMedicalBillDOList) {
        this.ylzMedicalBillDOList = ylzMedicalBillDOList;
    }

    public String getDetailSerial() {
        return detailSerial;
    }

    public void setDetailSerial(String detailSerial) {
        this.detailSerial = detailSerial;
    }

    public String getInsuranceSerial() {
        return insuranceSerial;
    }

    public void setInsuranceSerial(String insuranceSerial) {
        this.insuranceSerial = insuranceSerial;
    }

    public String getBillSerial() {
        return billSerial;
    }

    public void setBillSerial(String billSerial) {
        this.billSerial = billSerial;
    }

    public String getHisBillSerial() {
        return hisBillSerial;
    }

    public void setHisBillSerial(String hisBillSerial) {
        this.hisBillSerial = hisBillSerial;
    }

    public String getMedicalMode() {
        return medicalMode;
    }

    public void setMedicalMode(String medicalMode) {
        this.medicalMode = medicalMode;
    }

    public String getMedicalType() {
        return medicalType;
    }

    public void setMedicalType(String medicalType) {
        this.medicalType = medicalType;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getPersonalCode() {
        return personalCode;
    }

    public void setPersonalCode(String personalCode) {
        this.personalCode = personalCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getSexMc() {
        return sexMc;
    }

    public void setSexMc(String sexMc) {
        this.sexMc = sexMc;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getPersonCash() {
        return personCash;
    }

    public void setPersonCash(String personCash) {
        this.personCash = personCash;
    }

    public String getPersonAccount() {
        return personAccount;
    }

    public void setPersonAccount(String personAccount) {
        this.personAccount = personAccount;
    }

    public String getFundPrice() {
        return fundPrice;
    }

    public void setFundPrice(String fundPrice) {
        this.fundPrice = fundPrice;
    }

    public String getJkzhPay() {
        return jkzhPay;
    }

    public void setJkzhPay(String jkzhPay) {
        this.jkzhPay = jkzhPay;
    }

    public String getOwnPay() {
        return ownPay;
    }

    public void setOwnPay(String ownPay) {
        this.ownPay = ownPay;
    }

    public String getAccountBalance() {
        return accountBalance;
    }

    public void setAccountBalance(String accountBalance) {
        this.accountBalance = accountBalance;
    }

    public String getHospitalizationQty() {
        return hospitalizationQty;
    }

    public void setHospitalizationQty(String hospitalizationQty) {
        this.hospitalizationQty = hospitalizationQty;
    }


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="date")
    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="pay_date")
    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getInvoiceJj() {
        return invoiceJj;
    }

    public void setInvoiceJj(String invoiceJj) {
        this.invoiceJj = invoiceJj;
    }

    public String getInvoiceXj() {
        return invoiceXj;
    }

    public void setInvoiceXj(String invoiceXj) {
        this.invoiceXj = invoiceXj;
    }

    public String getInvoiceZh() {
        return invoiceZh;
    }

    public void setInvoiceZh(String invoiceZh) {
        this.invoiceZh = invoiceZh;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }


    public String getLogNo() {
        return logNo;
    }

    public void setLogNo(String logNo) {
        this.logNo = logNo;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getCertType() {
        return certType;
    }

    public void setCertType(String certType) {
        this.certType = certType;
    }

    public String getHisSerial() {
        return hisSerial;
    }

    public void setHisSerial(String hisSerial) {
        this.hisSerial = hisSerial;
    }

    public String getHisSettleNo() {
        return hisSettleNo;
    }

    public void setHisSettleNo(String hisSettleNo) {
        this.hisSettleNo = hisSettleNo;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getHisDeptCode() {
        return hisDeptCode;
    }

    public void setHisDeptCode(String hisDeptCode) {
        this.hisDeptCode = hisDeptCode;
    }

    public String getHisDeptName() {
        return hisDeptName;
    }

    public void setHisDeptName(String hisDeptName) {
        this.hisDeptName = hisDeptName;
    }

    public String getEmergencySign() {
        return emergencySign;
    }

    public void setEmergencySign(String emergencySign) {
        this.emergencySign = emergencySign;
    }

    public String getTraumaSign() {
        return traumaSign;
    }

    public void setTraumaSign(String traumaSign) {
        this.traumaSign = traumaSign;
    }

    public String getItemCount() {
        return itemCount;
    }

    public void setItemCount(String itemCount) {
        this.itemCount = itemCount;
    }

    public String getPreCharges() {
        return preCharges;
    }

    public void setPreCharges(String preCharges) {
        this.preCharges = preCharges;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getPreCount() {
        return preCount;
    }

    public void setPreCount(String preCount) {
        this.preCount = preCount;
    }

    public String getDoctorLevel() {
        return doctorLevel;
    }

    public void setDoctorLevel(String doctorLevel) {
        this.doctorLevel = doctorLevel;
    }
}
